repo/gentoo:master commit in: dev-python/s3transfer/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786025380.471f6c926e96559bdd5096a684164157738eaa0b.mgorny@gentoo>
commit:     471f6c926e96559bdd5096a684164157738eaa0b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 14:08:53 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 14:09:40 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=471f6c92

dev-python/s3transfer: Add (optional) dev-python/awscrt test dep

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/s3transfer/s3transfer-0.19.2-r1.ebuild | 47 +++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/dev-python/s3transfer/s3transfer-0.19.2-r1.ebuild b/dev-python/s3transfer/s3transfer-0.19.2-r1.ebuild
new file mode 100644
index 000000000000..ac5f5ad52c3f
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.19.2-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+	https://github.com/boto/s3transfer/
+	https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	<dev-python/botocore-2[${PYTHON_USEDEP}]
+	>=dev-python/botocore-1.37.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/awscrt[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# do not rely on bundled deps in botocore (sic!)
+	find -name '*.py' -exec sed -i \
+		-e 's:from botocore[.]vendored import:import:' \
+		-e 's:from botocore[.]vendored[.]:from :' \
+		{} + || die
+}
+
+python_test() {
+	epytest tests/{unit,functional}
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.